
Redmine - Defect #19234

Problem with prefilled issue forms and custom fields

2015-03-02 12:12 - Marco Scholl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.0.0

Description

we have a big problem. we prefill the issue form with this url

https://host/projects/name/issues/new?issue[custom_field_values][1]=customfield&issue[assigned_to_id]=1

since redmine 3 this will no longer work.

History

#1 - 2015-03-02 16:49 - Marco Scholl

In Issue#safe_attributes the editable_custom_field_values(user) method return an empty list. so the parameter will dropped.

#2 - 2015-03-02 16:54 - Marco Scholl

so i have found the problem. the tracker isn't filled with default tracker. so the editable_custom_field couldn't find any custom fields. i think the issue

model should prefilled with default.

as workaround i must set the tracker manual -> &issue[tracker_id]=ID.

#3 - 2015-03-07 08:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Yes, custom fields depends on the issue tracker. You now need to provide a tracker_id if you want to set default values for the issue custom fields.

#4 - 2015-03-31 06:35 - Toshi MARUYAMA

- Description updated
